Skip to main content
POST
/
deposit-attributions
/
{depositTransactionId}
/
spam
Attribute a deposit as spam
curl --request POST \
  --url https://api.anchorage-staging.com/v2/deposit-attributions/{depositTransactionId}/spam \
  --header 'Api-Access-Key: <api-key>' \
  --header 'Api-Signature: <api-signature>' \
  --header 'Api-Timestamp: <api-timestamp>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "data": {
    "depositTransactionId": "0e2b2f9d-8d10-4f1e-960b-28567255045f",
    "status": "UNDER_REVIEW"
  }
}
Requires Api-Signature. Replace TRANSACTION_ID in the path with the actual deposit transaction ID before signing.

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Headers

Api-Signature
string
required

A hex-encoded Ed25519 signature of timestamp_epoch_seconds + uppercase(http_method) + request_path + request_body.

Construction example:

toHex(
ed25519Sign(
signing_key,
'{}{}{}{}'.format(timestamp_epoch_seconds, toUpper(httpMethod), httpRequestPath, httpBody)
)
)
Pattern: ^[0-9A-Fa-f]{128,160}$
Api-Timestamp
integer<int64>
required

Current timestamp, represented as unix epoch seconds

Path Parameters

depositTransactionId
string
required

The transactionId where the transactionType is DEPOSIT.

Pattern: ^[0-9A-Fa-f]+$

Body

application/json

The body is of type object.

Response

Successfully attributed a deposit as spam

data
object